import React, { useEffect, useRef, useMemo, useState } from 'react';
import { Layout, Spin } from 'antd';
import { useModel } from '@/store'
import RequireLogin from './components/RequireLogin';
import SiderBar from './components/SiderBar';
import Header from './components/Header';
import Container from './components/Container';
import useReady from './useReady';

import './style.less';

export default (props) => {
  const { user, getCurrent } = useModel('user');
  // const isReady = useReady(user)
  // const isReady = true


  useEffect(() => {
    if (!user) {
      getCurrent()
    }
  }, []);

  return (
    <Spin spinning={!user} size="large">
      <RequireLogin>
        <div className='main-layout'>
          <Header />
          <Layout>
            <SiderBar />
            <Container />
          </Layout>
        </div>
      </RequireLogin>
    </Spin>
  );
}
