import React from 'react';
import { PageHeader } from 'antd';
import { useLocation } from "react-router-dom";
import { getRouteArr } from '@/routes/menus';
import './style.less'

export default (props) => {
  const { children, ...headerProps } = props;

  const location = useLocation();
  const routeArr = getRouteArr();

  const currentRoute = routeArr.filter(x => x.path === location.pathname)[0] || {};
  const { title } = currentRoute.meta || {};

  return (
    <>
      <PageHeader ghost={false} title={title} {...headerProps}></PageHeader>
      <div className="page-container">
        {children}
      </div>
    </>
  )
}
